Bug 479708 - Update support for SAP resource agents (rgmanager)
Update support for SAP resource agents (rgmanager)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
: OtherQA, Reopened, ZStream
Depends On: 475826
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 11:33 EST by RHEL Product and Program Management
Modified: 2009-09-29 14:02 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 14:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for SAPDatabase agent (2.13 KB, patch)
2009-02-20 11:20 EST, Mark Hlawatschek
no flags Details | Diff
Patch for SAPInstance agent (1.39 KB, patch)
2009-02-20 11:20 EST, Mark Hlawatschek
no flags Details | Diff
cluster config file (4.57 KB, text/plain)
2009-02-27 12:17 EST, Mark Hlawatschek
no flags Details

  None (edit)
Description RHEL Product and Program Management 2009-01-12 11:33:21 EST
This bug has been copied from bug #475826 and has been proposed
to be backported to 5.3 z-stream (EUS).
Comment 6 Michael Waite 2009-01-16 10:06:47 EST
How do we get a real name assigned for the "QE contact"?
Comment 7 Subhendu Ghosh 2009-01-19 12:00:44 EST
Mark/Alexander

Can you confirm QA for the new SAP agents from the packages in #4?
Comment 11 Michael Waite 2009-02-03 11:09:19 EST
is this build issue specific to the HA packages for PPC or is it an issue with the PPC build system?
Comment 15 Michael Waite 2009-02-03 18:06:54 EST
Given that x86_64 is the primary hardware targeted architecture for SAP on RHEL is this ppc brew issue preventing the x86_64 brew testing?
Comment 16 Chris Feist 2009-02-04 15:09:36 EST
I worked with rel-eng and we were able to get the ppc build through (which was holding everything else up).  The package is rgmanager-2.0.46-1.el5_3.1 and will be added to the errata shortly.

Thanks,
Chris
Comment 18 Michael Waite 2009-02-04 15:32:04 EST
yee haw
Comment 20 Mark Hlawatschek 2009-02-20 11:13:59 EST
Hi Lon,

we did some final testings with the rgmanager rpm (rgmanager-2.0.46-1.3bz479708.el5.x86_64.rpm
) you provided.
The rgmanager and the RIND enent scripting works fine. We did some tiny modifications to SAPInstance and SAPDatabases to set the correct environment variables.
I'll attach the patches to this bz.
The modified SAPInstance and SAPDatabase resource agents have been successfully tested with the rgmanager rpm.

-Mark
Comment 21 Mark Hlawatschek 2009-02-20 11:20:00 EST
Created attachment 332727 [details]
Patch for SAPDatabase agent
Comment 22 Mark Hlawatschek 2009-02-20 11:20:37 EST
Created attachment 332729 [details]
Patch for SAPInstance agent
Comment 23 Lon Hohberger 2009-02-26 14:45:53 EST
Ok, so we need a rebuild with these additional (small) patches.
Comment 26 Lon Hohberger 2009-02-27 10:13:17 EST
Mark, can you attach a cluster.conf which you have tested (change things that you want to hide, like IPs / passwords)?

I have to analyze it to make sure that another proposed 5.3 patch doesn't break your configuration.
Comment 27 Mark Hlawatschek 2009-02-27 12:17:56 EST
Created attachment 333509 [details]
cluster config file
Comment 28 Mark Hlawatschek 2009-02-27 12:18:56 EST
Lon, you'll find the cluster.conf attached.
-Mark
Comment 30 Lon Hohberger 2009-03-16 10:22:52 EDT
Any update on whether the updated packages still work?  They include the two patches in this bugzilla as well as one other patch which enables prioritization of exclusive services (which shouldn't affect anything in your testing).
Comment 31 Lon Hohberger 2009-03-26 17:36:06 EDT
I verified the patches patches in comment #21 and comment #22 are included in the current spin of rgmanager-2.0.46-1.el5_3.2 and _3.3 in addition to the original requested patches to the SAPDatabase, SAPInstance, and netfs.sh agents.
Comment 32 Mark Hlawatschek 2009-03-30 09:31:48 EDT
we only tested http://people.redhat.com/lhh/rgmanager-2.0.46-1.3bz479708.el5.x86_64.rpm with the patches from #21 and #22. We haven't tested the latest rgmanager rpm http://people.redhat.com/lhh/rgmanager-2.0.46-1.el5_3.2.x86_64.rpm.
Comment 33 Lon Hohberger 2009-04-03 16:22:25 EDT
There should be no behavioral differences between what you tested and el5_3.2 (or 3.3, which includes a fix for virtual machine restarts)
Comment 35 errata-xmlrpc 2009-04-09 15:58:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0415.html

Note You need to log in before you can comment on or make changes to this bug.